#!/bin/bash
set -e
echo "building libwifiutils and libwifi ..."
pwd


#build only libwifiutils.so
mkdir -p libwifiutils/build
cd libwifiutils/build
cmake ..
make -j$(nproc)
cd -

#build libwifi-7.so for the default wifi module
mkdir -p libwifi/build
cd libwifi/build
cmake .. -DHAS_WIFI=ON
make -j$(nproc)
cd -
